### Hierarchy

- unknown
  - SignOfferRequest

## Index

### Constructors

- constructor

### Methods

- addReserveTxKeyImages
- clearOfferPayload
- clearPubKeyRing
- clearReserveTxKeyImagesList
- clearSenderNodeAddress
- getCurrentDate
- getOfferId
- getOfferPayload
- getPayoutAddress
- getPubKeyRing
- getReserveTxHash
- getReserveTxHex
- getReserveTxKey
- getReserveTxKeyImagesList
- getSenderAccountId
- getSenderNodeAddress
- getUid
- hasOfferPayload
- hasPubKeyRing
- hasSenderNodeAddress
- serializeBinary
- setCurrentDate
- setOfferId
- setOfferPayload
- setPayoutAddress
- setPubKeyRing
- setReserveTxHash
- setReserveTxHex
- setReserveTxKey
- setReserveTxKeyImagesList
- setSenderAccountId
- setSenderNodeAddress
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SignOfferRequest(): SignOfferRequest

- Inherited from jspb.Message.constructor

  #### Returns SignOfferRequest

## Methods

### addReserveTxKeyImages

- addReserveTxKeyImages(value: string, index?: number): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:661

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns SignOfferRequest

### clearOfferPayload

- clearOfferPayload(): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:641

  #### Returns SignOfferRequest

### clearPubKeyRing

- clearPubKeyRing(): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:633

  #### Returns SignOfferRequest

### clearReserveTxKeyImagesList

- clearReserveTxKeyImagesList(): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:660

  #### Returns SignOfferRequest

### clearSenderNodeAddress

- clearSenderNodeAddress(): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:628

  #### Returns SignOfferRequest

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:646

  #### Returns number

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:622

  #### Returns string

### getOfferPayload

- getOfferPayload(): undefined | OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:638

  #### Returns undefined | OfferPayload

### getPayoutAddress

- getPayoutAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:663

  #### Returns string

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:630

  #### Returns undefined | PubKeyRing

### getReserveTxHash

- getReserveTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:649

  #### Returns string

### getReserveTxHex

- getReserveTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:652

  #### Returns string

### getReserveTxKey

- getReserveTxKey(): string

- - Defined in src/protobuf/pb_pb.d.ts:655

  #### Returns string

### getReserveTxKeyImagesList

- getReserveTxKeyImagesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:658

  #### Returns string[]

### getSenderAccountId

- getSenderAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:635

  #### Returns string

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:625

  #### Returns undefined | NodeAddress

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:643

  #### Returns string

### hasOfferPayload

- hasOfferPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:640

  #### Returns boolean

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:632

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:627

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:666

  #### Returns Uint8Array

### setCurrentDate

- setCurrentDate(value: number): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:647

  #### Parameters

  - ##### value: number

  #### Returns SignOfferRequest

### setOfferId

- setOfferId(value: string): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:623

  #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

### setOfferPayload

- setOfferPayload(value?: OfferPayload ): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:639

  #### Parameters

  - ##### Optional value: OfferPayload

  #### Returns SignOfferRequest

### setPayoutAddress

- setPayoutAddress(value: string): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:664

  #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:631

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns SignOfferRequest

### setReserveTxHash

- setReserveTxHash(value: string): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:650

  #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

### setReserveTxHex

- setReserveTxHex(value: string): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:653

  #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

### setReserveTxKey

- setReserveTxKey(value: string): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:656

  #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

### setReserveTxKeyImagesList

- setReserveTxKeyImagesList(value: string[]): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:659

  #### Parameters

  - ##### value: string[]

  #### Returns SignOfferRequest

### setSenderAccountId

- setSenderAccountId(value: string): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:636

  #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:626

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns SignOfferRequest

### setUid

- setUid(value: string): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:644

  #### Parameters

  - ##### value: string

  #### Returns SignOfferRequest

### toObject

- toObject(includeInstance?: boolean): SignOfferRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:667

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SignOfferRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:670

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignOfferRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignOfferRequest, reader: BinaryReader): SignOfferRequest

- - Defined in src/protobuf/pb_pb.d.ts:671

  #### Parameters

  - ##### message: SignOfferRequest

  - ##### reader: BinaryReader

  #### Returns SignOfferRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SignOfferRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:669

  #### Parameters

  - ##### message: SignOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SignOfferRequest ): SignOfferRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:668

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignOfferRequest

  #### Returns SignOfferRequest . AsObject

Generated using TypeDoc